- entityDefinitions:
  - IDM_Relationship__is__Destination_Class_equal_to_Class_parm: '{75e567de-b63b-466a-88e3-30da71a77f5d}'
  - IDMB_Relationship__is__Destination_Class_equal_to_Class_parm: '{b65f2ccd-257a-4a55-bbb1-e77eca715dd0}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - evaluateBooleanExpressionMethod: '&IDM_Relationship__is__Destination_Class_equal_to_Class_parm;'
    forClassId: '&IDC_Relationship;'
    verb: 'is'
    name: 'Destination Class equal to Class parm'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    returnsAttributeId: '&IDA_ThisInInstancesParm;'
    source: '&IDMB_Relationship__get__Destination_Class;'
    operator: '&IDI_RelationalOperator_ExactMatch;'
    target: '&IDI_WorkSet_ClassSingular;'
    
  - returnAttributeMethodBinding: '&IDMB_Relationship__is__Destination_Class_equal_to_Class_parm;'
    executesMethod: '&IDM_Relationship__is__Destination_Class_equal_to_Class_parm;'
